Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000796Core InformExtensionspublic2011-11-04 04:532014-05-07 07:34
Reportersalty-horse 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000796: Duplicate statements in Standard Rules
DescriptionThe Standard Rules has the following statements:

>Use dynamic memory allocation of at least 8192 translates as
> (- Constant DynamicMemoryAllocation = {N}; -).
>Use dynamic memory allocation of at least 8192.
>
>Use maximum things understood at once of at least 100 translates as
> (- Constant MATCH_LIST_WORDS = {N}; -).
>Use maximum things understood at once of at least 100.

The Inform docs (25.17. Making and testing use options) state that "Use .. translates as ..." already includes the I6 source with a default value. In that case, the second and fourth statements seem not to have any effect.

Removing the statements produces the same I6 code.
Tagswrongeffect
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-11-04 04:53 salty-horse New Issue
2011-11-07 07:14 EmacsUser Priority low => normal
2011-11-07 07:14 EmacsUser Status new => confirmed
2011-11-07 07:14 EmacsUser Product Version => 6G60
2011-11-07 07:14 EmacsUser Tag Attached: wrongeffect
2014-01-22 11:39 graham Status confirmed => resolved
2014-01-22 11:39 graham Resolution open => fixed
2014-01-22 11:39 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker